Bug 523401 - (CVE-2009-3236) CVE-2009-3236 Horde: Improper validation of image form fields (local files overwrite)
CVE-2009-3236 Horde: Improper validation of image form fields (local files ov...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
http://marc.info/?l=horde-announce&m=...
impact=moderate,source=gentoo,reporte...
: Security
Depends On: CVE-2009-3237 523410 538227
Blocks:
  Show dependency treegraph
 
Reported: 2009-09-15 07:11 EDT by Jan Lieskovsky
Modified: 2010-04-02 06:36 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-02 06:36:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2009-09-15 07:11:48 EDT
An improper validation of HTTP form fields, containing images, was found
in Horde. A remote attacker could submit a specially-crafted image upload
request, potentially leading to overwriting of local (Horde server host)
files.

References:
----------
http://secunia.com/advisories/36665/2/
http://bugs.gentoo.org/show_bug.cgi?id=285052
http://marc.info/?l=horde-announce&m=125291625030436&w=2

Upstream patch:
---------------
http://ftp.horde.org/pub/horde/patches/patch-horde-3.2.4-3.2.5.gz

Credit:
-------
Stefan Esser

CVE request:
------------
http://www.openwall.com/lists/oss-security/2009/09/15/4
http://www.openwall.com/lists/oss-security/2009/09/15/5
Comment 1 Jan Lieskovsky 2009-09-15 07:27:54 EDT
This issue affects the versions of the Horde package, as shipped with Fedora
releases of 10 and 11, and as shipped within EPEL-5 project.

Please fix (Note: The remaining two XSS issues from above announce
to be filed in yet as separate bugzilla entries).
Comment 2 Jan Lieskovsky 2009-09-17 04:10:09 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2009-3236 to
this vulnerability:

Unspecified vulnerability in the form library in Horde Application
Framework 3.2 before 3.2.5 and 3.3 before 3.3.5; Groupware 1.1 before
1.1.6 and 1.2 before 1.2.4; and Groupware Webmail Edition 1.1 before
1.1.6 and 1.2 before 1.2.4; allows remote attackers, with privileges
to write to the address book, to overwrite arbitrary files via crafted
"image form fields."

References:
-----------
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2009-3236
http://marc.info/?l=horde-announce&m=125292088004087&w=2
http://marc.info/?l=horde-announce&m=125294558611682&w=2
http://marc.info/?l=horde-announce&m=125292314007049&w=2
http://marc.info/?l=horde-announce&m=125295852706029&w=2
http://marc.info/?l=horde-announce&m=125291625030436&w=2
http://marc.info/?l=horde-announce&m=125292339907481&w=2
http://www.osvdb.org/58107
http://secunia.com/advisories/36665
http://xforce.iss.net/xforce/xfdb/53202
Comment 4 Fedora Update System 2010-03-29 13:51:43 EDT
horde-3.3.6-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/horde-3.3.6-1.fc11
Comment 5 Fedora Update System 2010-03-29 13:53:58 EDT
horde-3.3.6-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/horde-3.3.6-1.fc12
Comment 6 Fedora Update System 2010-03-29 13:55:19 EDT
horde-3.3.6-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/horde-3.3.6-1.fc13
Comment 7 Fedora Update System 2010-03-29 14:01:14 EDT
horde-3.3.6-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/horde-3.3.6-1.el5
Comment 8 Fedora Update System 2010-03-31 21:39:36 EDT
horde-3.3.6-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2010-03-31 21:49:55 EDT
horde-3.3.6-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2010-04-01 13:20:02 EDT
horde-3.3.6-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2010-04-01 17:04:40 EDT
horde-3.3.6-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.